PROGRAM KSint
USE getInputs
USE Maths
IMPLICIT NONE

INTEGER           :: i,status
TYPE(spots_)      :: spots
TYPE(planets_)    :: planets
TYPE(simparam_)   :: simp
TYPE(starparam_)  :: starp
TYPE(res_)        :: res
REAL(DP)          :: flux, time, t

! Remove eventual previous outputs

CALL system("rm -f lc.dat")
CALL system("rm -f arcs.dat")

! Load parameters in inputs.txt

call load(simp,starp,planets,spots)

! Main subroutine calculating the flux

call KSflux(simp,starp,planets,spots,res)

! Write output

OPEN(15,FILE='lc.dat',STATUS='replace')
 WRITE(15,1000) (res%time(i), res%flux(i), res%status(i), i=1, simp%nsteps)
CLOSE(15)

! Release memory

call unload(spots,planets,res)

! Measure CPU time

!CALL cpu_time(t)
!print*,'Execution time (sec):', t

1000 FORMAT(2X,F15.6,2X,F15.6,2X,I7)
END PROGRAM KSint
